Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007093 [DCSS] Bug Report major always 2013-05-27 21:37 2016-02-12 17:16
Reporter Medar View Status public  
Assigned To wheals
Priority normal Resolution done  
Status closed   Product Branch 0.13 ancient branch
Summary 0007093: Spell targeting can leak information about unseen monsters
Description Casting for example freezing cloud without a target that you can hit requires using capital Z. However if you can hit an unseen monster, it's not required.

Edit: Clouds no longer go out of LOS, but anything else that does still has the problem. For example lightning bolt.
Additional Information
Tags No tags attached.
Attached Files

- Relationships
related to 0007092closedwheals Confirmation when no targets can be hit is more annoying than useful with cloud spells 
related to 0005138closedKiloByte cloud targeting leaks information 
child of 0007071resolvedwheals Numerous issues with Targetting, Tracers, Clouds and Breaths 

-  Notes
(0030050)
wheals (administrator)
2015-12-21 21:56

Fixed in https://github.com/crawl/crawl/commit/4850e383a25d. [^]

- Issue History
Date Modified Username Field Change
2013-05-27 21:37 Medar New Issue
2013-05-27 21:38 Medar Relationship added related to 0007092
2013-05-27 21:39 Medar Relationship added child of 0007071
2013-07-06 07:27 Medar Relationship added related to 0005138
2013-12-16 12:49 Medar Summary Cloud targeting can leak information about unseen monsters => Spell targeting can leak information about unseen monsters
2013-12-16 12:49 Medar Description Updated
2015-12-21 21:56 wheals Note Added: 0030050
2015-12-21 21:56 wheals Status new => resolved
2015-12-21 21:56 wheals Fixed in Branch => 0.18 development branch
2015-12-21 21:56 wheals Resolution open => done
2015-12-21 21:56 wheals Assigned To => wheals
2016-02-12 17:16 Medar Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker